# -*- coding: iso-8859-1 -*-

# ==============================================================================
# COPYRIGHT (C) 1991 - 2003  EDF R&D                  WWW.CODE-ASTER.ORG
# THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
# IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS PUBLISHED BY
# THE FREE SOFTWARE FOUNDATION; EITHER VERSION 2 OF THE LICENSE, OR
# (AT YOUR OPTION) ANY LATER VERSION.
#
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
# WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
# GENERAL PUBLIC LICENSE FOR MORE DETAILS.
#
# YOU SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE
# ALONG WITH THIS PROGRAM; IF NOT, WRITE TO EDF R&D CODE_ASTER,
#    1 AVENUE DU GENERAL DE GAULLE, 92141 CLAMART CEDEX, FRANCE.
# ==============================================================================

"""Test pour l'agla'
"""
__revision__ = "$Id: agla.py 3820 2009-03-27 12:28:54Z courtois $"


import os
import sys

# ----- get ASTK_SERV location
main_py = sys.argv[0]
if os.path.islink(main_py):
   main_py = os.path.realpath(main_py)
astk_serv_root = os.path.normpath(os.path.join(
      os.path.dirname(os.path.abspath(main_py)), os.pardir, os.pardir))

# add .../ASTK_SERV/lib in import path
sys.path.insert(0, os.path.join(astk_serv_root, 'lib'))

from as_profil import ASTER_PROFIL


from as_run   import AsRunFactory
run = AsRunFactory(astk_serv_root)
run.print_timer = True

content_export = """
P profastk courtois@cli70cx.der.edf.fr:/home/courtois/CAS_TEST/mecanonline/ssnp110a.astk
P serveur aster.cla.edfgdf.fr
P noeud AGLA
P username courtois
P mclient cli70cx.der.edf.fr
P uclient courtois
P version NEW9
P lang fr
P debug nodebug
P mode batch
P ncpus 1
P mpi_nbcpu 1
P mpi_nbnoeud 1
P classe 
P depart 
P distrib 
P timeout 
P exectool 
P nomjob asdeno_NEW9
P origine ASTK VDEV
P display cli70cx.der.edf.fr:0.0
A args 
A memjeveux 16.0
P mem_aster 100.0
A tpmax 300
P memjob 131072
P tpsjob 5
P nbmaxnook 5
P cpresok RESNOOK
P facmtps 1
P corefilesize unlimited
N py macr_lign_coupe D 0
N py fichier_inexistant D 0
N py test_temps_ops D 0
P actions asdeno
P consbtc oui
P soumbtc oui
"""

prof = ASTER_PROFIL()
prof.parse(content_export)
prof.WriteExportTo('agla.export')

ok = prof.content.find('N py fichier_inexistant D 0') > -1 and os.path.exists('agla.export')

iret = 0
if not ok:
   iret = 4
run.Sortie(iret)


