# -*- coding: iso-8859-1 -*-

# ==============================================================================
# COPYRIGHT (C) 1991 - 2003  EDF R&D                  WWW.CODE-ASTER.ORG
# THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
# IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS PUBLISHED BY
# THE FREE SOFTWARE FOUNDATION; EITHER VERSION 2 OF THE LICENSE, OR
# (AT YOUR OPTION) ANY LATER VERSION.
#
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT
# WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU
# GENERAL PUBLIC LICENSE FOR MORE DETAILS.
#
# YOU SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE
# ALONG WITH THIS PROGRAM; IF NOT, WRITE TO EDF R&D CODE_ASTER,
#    1 AVENUE DU GENERAL DE GAULLE, 92141 CLAMART CEDEX, FRANCE.
# ==============================================================================

"""Test du suivi interactif
"""
__revision__ = "$Id: scroll.py 3817 2009-03-27 12:02:06Z courtois $"


import os
import sys

# ----- get ASTK_SERV location
main_py = sys.argv[0]
if os.path.islink(main_py):
   main_py = os.path.realpath(main_py)
astk_serv_root = os.path.normpath(os.path.join(
      os.path.dirname(os.path.abspath(main_py)), os.pardir, os.pardir))

# add .../ASTK_SERV/lib in import path
sys.path.insert(0, os.path.join(astk_serv_root, 'lib'))

from as_run   import AsRunFactory
run = AsRunFactory(astk_serv_root)
run.print_timer = True

cmd = 'ls -lR /usr/lib'
run.timer.Start('mise en "cache"')
iret, output = run.Shell(cmd, follow_output=False, heavy_output=False)
run.timer.Stop('mise en "cache"')

run.timer.Start('heavy_output=False')
iret, output = run.Shell(cmd, follow_output=True, heavy_output=False)
run.timer.Stop('heavy_output=False')

run.timer.Start('heavy_output=True')
iret, output = run.Shell(cmd, follow_output=True, heavy_output=True)
run.timer.Stop('heavy_output=True')

run.timer.Start('follow/heavy_output=False')
iret, output = run.Shell(cmd, follow_output=False, heavy_output=False)
run.timer.Stop('follow/heavy_output=False')

run.timer.Start('follow/heavy_output=False/True')
iret, output = run.Shell(cmd, follow_output=False, heavy_output=True)
run.timer.Stop('follow/heavy_output=False/True')

cpu1, sys1, elap1 = run.timer.StopAndGet('heavy_output=False')
cpu2, sys2, elap2 = run.timer.StopAndGet('heavy_output=True')
cpu3, sys3, elap3 = run.timer.StopAndGet('follow/heavy_output=False')
cpu4, sys4, elap4 = run.timer.StopAndGet('follow/heavy_output=False/True')

ok1 = elap1 < 2.
ok2 = elap2 < 4.
ok3 = elap3 < 1.
ok4 = elap4 < 1.

print 'Taille output = %d bytes' % len(output)
print 'Temps 1 = %.2f s // ok ? %s' % (elap1, ok1)
print 'Temps 2 = %.2f s // ok ? %s' % (elap2, ok2)
print 'Temps 3 = %.2f s // ok ? %s' % (elap3, ok3)
print 'Temps 4 = %.2f s // ok ? %s' % (elap4, ok4)

ecart = (elap2 - elap1) / elap1 * 100.
print 'Ecart elapsed 1/2 = %.2f %%' % ecart

iret = 0
if not (ok1 and ok2 and ok3 and ok4):
   iret = 4
run.Sortie(iret)


